Package org.apache.sling.testing.mock.caconfig

## Class ContextPlugins

- java.lang.Object
- - org.apache.sling.testing.mock.caconfig.ContextPlugins

    @ProviderType
    public final class ContextPlugins
    extends Object

Mock context plugins. The plugin supports all versions from 1.2 to the most recent versions of the Impl/SPI.

### Field Summary

Fields
`static @NotNull org.apache.sling.testing.mock.osgi.context.ContextPlugin<? extends org.apache.sling.testing.mock.sling.context.SlingContextImpl>` `CACONFIG` Context plugin for Sling Context-Aware Configuration.
`static @NotNull org.apache.sling.testing.mock.osgi.context.ContextPlugin<? extends org.apache.sling.testing.mock.sling.context.SlingContextImpl>` `CACONFIG_NODEF` Context plugin for Sling Context-Aware Configuration (without the default implementations).

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CACONFIG

    @NotNull
    public static final @NotNull org.apache.sling.testing.mock.osgi.context.ContextPlugin<? extends org.apache.sling.testing.mock.sling.context.SlingContextImpl> CACONFIG

Context plugin for Sling Context-Aware Configuration.

#### CACONFIG_NODEF

    @NotNull
    public static final @NotNull org.apache.sling.testing.mock.osgi.context.ContextPlugin<? extends org.apache.sling.testing.mock.sling.context.SlingContextImpl> CACONFIG_NODEF

Context plugin for Sling Context-Aware Configuration (without the default implementations).